%define name 	libmatchbox
%define version 1.9

%define major 	1
%define libname %mklibname mb %major
%define develname %mklibname -d mb

Summary: 	Libraries for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%mkrel 3
Url: 		http://matchbox-project.org
License: 	LGPLv2+
Group: 		System/Libraries
Source: 	http://matchbox-project.org/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	X11-devel pango-devel png-devel jpeg-devel Xsettings-client-devel
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

%package -n	%libname
Group:		System/Libraries
Summary:	Inter-toolkit configuration settings

%description -n %libname
Libraries for the Matchbox Desktop.

%package -n %develname
Group:          Development/C
Summary:        Static libraries and header files from %name
Provides:	matchbox-devel = %version-%release
Provides:       %name-devel = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	libmb-devel = %version-%release
Requires:       %libname = %version-%release
Obsoletes:	%mklibname -d mb 1

%description -n %develname
Static libraries and header files from %name

%prep
%setup -q

%build
%configure2_5x --enable-xsettings --enable-png --enable-jpeg --enable-pango
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_includedir/libmb/*.h


%changelog
* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 1.9-3mdv2008.1
+ Revision: 105991
- fix devel package name

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 1.9-2mdv2008.1
+ Revision: 105980
- New devel package policy


* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.9-1mdv2007.0
+ Revision: 110260
- New release 1.9
- Import libmatchbox

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 1.8-1mdk
- New release 1.8

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1.7-1mdk
- New release 1.7
- fix URLs

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 1.6-1mdk
- 1.6

* Tue Jan 04 2005 Austin Acton <austin@mandrake.org> 1.5-1mdk
- 1.5

* Thu Sep 30 2004 Austin Acton <austin@mandrake.org> 1.4-1mdk
- 1.4

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 1.3-1mdk
- 1.3

* Wed Jul 21 2004 Austin Acton <austin@mandrake.org> 1.2-1mdk
- initial package

